Page MenuHomePhabricator

[DWARF5] Added support for emission of .debug_macro.dwo section
ClosedPublic

Authored by SouraVX on Apr 25 2020, 10:30 AM.

Details

Summary

This patch adds support for emission of following DWARFv5 macro forms in .debug_macro.dwo section.

  • DW_MACRO_start_file
  • DW_MACRO_end_file
  • DW_MACRO_define_strx
  • DW_MACRO_undef_strx

Diff Detail

Event Timeline

SouraVX created this revision.Apr 25 2020, 10:30 AM
ikudrin added inline comments.Apr 27 2020, 5:07 AM
llvm/lib/CodeGen/AsmPrinter/DwarfDebug.cpp
1299

Remove the trailing whitespace.

3006

The code should be similar to emitDebugMacinfo().

Herald added a project: Restricted Project. · View Herald TranscriptApr 27 2020, 5:07 AM
SouraVX updated this revision to Diff 260307.EditedApr 27 2020, 6:42 AM

Addressed @ikudrin comments. Thanks for this!

  • Refactored the code accordingly.
SouraVX marked 2 inline comments as done.Apr 27 2020, 6:43 AM
SouraVX updated this revision to Diff 260369.Apr 27 2020, 10:25 AM

Removed, MCSection *DwarfMacroDWOSection = nullptr introduced previously. This belongs to D78500
This patch depends on D78500 and D78865.

SouraVX updated this revision to Diff 263363.May 11 2020, 11:43 PM

Rebased to tip.

Since we reached consensus on D78500, D78865(Thank You! for this). Can we have consensus on this one too ?

dblaikie accepted this revision.May 29 2020, 4:25 PM

Looks good, thanks!

This revision is now accepted and ready to land.May 29 2020, 4:25 PM

debug_macro.dwo section

.debug_macro.dwo

SouraVX retitled this revision from [DWARF5] Added support for emission of debug_macro.dwo section to [DWARF5] Added support for emission of .debug_macro.dwo section.May 29 2020, 10:39 PM
SouraVX edited the summary of this revision. (Show Details)

debug_macro.dwo section

.debug_macro.dwo

Corrected in summary Thanks!

This revision was automatically updated to reflect the committed changes.